# Method: inappproducts.list

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/list#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/list#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/list#body.InappproductsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/list#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/list#try-it)

Lists all in-app products - both managed products and subscriptions.

If an app has a large number of in-app products, the response may be paginated. In this case the response field `tokenPagination.nextPageToken` will be set and the caller should provide its value as a `token` request parameter to retrieve the next page.

This method should no longer be used to retrieve subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/inappproducts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |

### Query parameters

| Parameters ||
|---|---|
| `token` | `string` Pagination token. If empty, list starts at the first product. |
| `startIndex (deprecated)` | `integer (https://developers.google.com/discovery/v1/type-format format)` Deprecated and ignored. Set the `token` parameter to retrieve the next page. |
| `maxResults (deprecated)` | `integer (https://developers.google.com/discovery/v1/type-format format)` Deprecated and ignored. The page size is determined by the server. |

### Request body

The request body must be empty.

### Response body

Response listing all in-app products.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "inappproduct": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts#InAppProduct`) } ], "tokenPagination": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/TokenPagination`) }, "pageInfo": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/PageInfo`) } } ``` |

| Fields ||
|---|---|
| `kind` | `string` The kind of this response ("androidpublisher#inappproductsListResponse"). |
| `inappproduct[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts#InAppProduct`)`` All in-app products. |
| `tokenPagination` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/TokenPagination`)`` Pagination token, to handle a number of products that is over one page. |
| `pageInfo (deprecated)` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/PageInfo`)`` > [!WARNING] > This item is deprecated! Deprecated and unset. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`